Package com.avaya.clientservices.call

## Enum VideoDisabledReason

- java.lang.Object
- - java.lang.Enum<VideoDisabledReason>
  - - com.avaya.clientservices.call.VideoDisabledReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VideoDisabledReason>`

      public enum VideoDisabledReason
      extends java.lang.Enum<VideoDisabledReason>

  Enumeration for different reasons for having a video channel disabled.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INSUFFICIENT_BANDWIDTH` | There is insufficient bandwidth.
    `LAYOUT_SELECTION` | Based on local video layout selection, the video channel cannot be supported.
    `LOCAL_PLATFORM_LIMITATIONS` | Based on local configuration information and/or the capabilities of the local platform, the media channel cannot be supported.
    `LOCAL_USER` | Local user disabled media.
    `NONE` | Associated video channel object is enabled.
    `REMOTE_USER` | Remote user disabled media.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VideoDisabledReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VideoDisabledReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final VideoDisabledReason NONE

      Associated video channel object is enabled.

    - #### LOCAL_USER

          public static final VideoDisabledReason LOCAL_USER

      Local user disabled media.

    - #### REMOTE_USER

          public static final VideoDisabledReason REMOTE_USER

      Remote user disabled media.

    - #### INSUFFICIENT_BANDWIDTH

          public static final VideoDisabledReason INSUFFICIENT_BANDWIDTH

      There is insufficient bandwidth.

    - #### LOCAL_PLATFORM_LIMITATIONS

          public static final VideoDisabledReason LOCAL_PLATFORM_LIMITATIONS

      Based on local configuration information and/or the capabilities of the local platform, the media channel cannot be supported.

    - #### LAYOUT_SELECTION

          public static final VideoDisabledReason LAYOUT_SELECTION

      Based on local video layout selection, the video channel cannot be supported. For example, if the user selects a video layout of 4 video streams, but the incoming multi stream switched (MSS) video offer has 9 video streams, 5 of the video streams (streams 5, 6, 7, 8, 9) are disabled.

  - ### Method Detail

    - #### values

          public static VideoDisabledReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoDisabledReason c : VideoDisabledReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoDisabledReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null